#
# qtella 0.4.2 spec file for Red Hat Linux 7.3
# Contributed by: Steve Ferguson <sfergus1@mindspring.com>
#
%define packagename qtella
%define revision 1
%define prefix /usr

Version: 0.4.2
Release: %{revision}
Name: qtella
Summary: A Gnutella network servent
License: GPL
Group: Applications/Communications
URL: http://www.%{packagename}.net/
Source:http://telia.dl.sourceforge.net/sourceforge/qtella/qtella-0.4.2.tar.gz
BuildRoot: /var/tmp/%{packagename}-%{version}
BuildPrereq: XFree86-devel, gtk+-devel, qt-devel
Requires: qt >= 3.0.3, gtk+ >= 1.2.10
BuildRequires: qt-devel >= 3.0.3 XFree86-devel gtk+-devel >= 1.2.10

%description
%{packagename} is a Gnutella network servent, written in C++ using the
Qt widget set.

%prep
%setup -q -T -b 0 -n %{packagename}-%{version}
./configure --prefix=%{prefix} --with-kde=no

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT%{prefix}" install-strip

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr (-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO
%attr(755,root,root) %{prefix}/bin/%{packagename}
%attr(755,root,root) %dir %{prefix}/share/%{packagename}
%attr(644,root,root) %{prefix}/share/%{packagename}/*

%changelog
* Thu Sep 26 2002 Steve Ferguson <sfergus1@mindspring.com> 0.4.2-1
- Original package build
